# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

cpp_gmRNA_basic <- function(n, r_on, r_degr) {
    .Call('_scModels_cpp_gmRNA_basic', PACKAGE = 'scModels', n, r_on, r_degr)
}

cpp_gmRNA_switch <- function(n, r_act, r_deact, r_on, r_degr) {
    .Call('_scModels_cpp_gmRNA_switch', PACKAGE = 'scModels', n, r_act, r_deact, r_on, r_degr)
}

cpp_gmRNA_burst <- function(n, r_burst, s_burst, r_degr) {
    .Call('_scModels_cpp_gmRNA_burst', PACKAGE = 'scModels', n, r_burst, s_burst, r_degr)
}

#' Kummer's (confluent hypergeometric) function
#'
#' Kummer's function (also: confluent hypergeometric function of the first kind)
#' for numeric (non-complex) values and input parameters.
#' @param x numeric value or vector
#' @param a,b numeric parameters of the Kummer function
#' @name chf_1F1
#' @rdname chf_1F1
#' @export
#' @examples
#' x <- chf_1F1(-100:100, 5, 7)
#' plot(-100:100, x, type='l')
chf_1F1 <- function(x, a, b) {
    .Call('_scModels_chf_1F1', PACKAGE = 'scModels', x, a, b)
}

cpp_dpb <- function(x, alpha, beta, c, log_p = FALSE) {
    .Call('_scModels_cpp_dpb', PACKAGE = 'scModels', x, alpha, beta, c, log_p)
}

cpp_ppb <- function(q, alpha, beta, c, lower_tail, log_p) {
    .Call('_scModels_cpp_ppb', PACKAGE = 'scModels', q, alpha, beta, c, lower_tail, log_p)
}

cpp_rpb <- function(n, alpha, beta, c) {
    .Call('_scModels_cpp_rpb', PACKAGE = 'scModels', n, alpha, beta, c)
}

cpp_qpb <- function(p, alpha, beta, c, lower_tail, log_p) {
    .Call('_scModels_cpp_qpb', PACKAGE = 'scModels', p, alpha, beta, c, lower_tail, log_p)
}

